Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

hyper: 2.1.2 -> 3.0.2 #61320

Closed
wants to merge 2 commits into from
Closed

hyper: 2.1.2 -> 3.0.2 #61320

wants to merge 2 commits into from

Conversation

@r-ryantm
Copy link
Contributor

@r-ryantm r-ryantm commented May 11, 2019

Semi-automatic update generated by https://github.com/ryantm/nixpkgs-update tools. This update was made based on information from https://repology.org/metapackage/hyper/versions.

meta.description for hyper is: '"A terminal built on web technologies"'.

meta.homepage for hyper is: '"https://hyper.is/"

Release on GitHub

Compare changes on GitHub

Checks done (click to expand)
Rebuild report (if merged into master) (click to expand)

1 total rebuild path(s)

1 package rebuild(s)

1 x86_64-linux rebuild(s)
0 i686-linux rebuild(s)
0 x86_64-darwin rebuild(s)
0 aarch64-linux rebuild(s)

First fifty rebuilds by attrpath
hyper

Instructions to test this update (click to expand)

Either download from Cachix:

nix-store -r /nix/store/vi1d49wy0p9f3p2ankvadawr6zc2nb6c-hyper-3.0.2 \
  --option binary-caches 'https://cache.nixos.org/ https://r-ryantm.cachix.org/' \
  --option trusted-public-keys '
  r-ryantm.cachix.org-1:gkUbLkouDAyvBdpBX0JOdIiD2/DP1ldF3Z3Y6Gqcc4c=
  cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY=
  '

(r-ryantm's Cachix cache is only trusted for this store-path realization.)

Or, build yourself:

nix-build -A hyper https://github.com/r-ryantm/nixpkgs/archive/b3226f07f70dd2c7ea3971c1d0d3031e7cbb14ab.tar.gz

After you've downloaded or built it, look at the files and if there are any, run the binaries:

ls -la /nix/store/vi1d49wy0p9f3p2ankvadawr6zc2nb6c-hyper-3.0.2
ls -la /nix/store/vi1d49wy0p9f3p2ankvadawr6zc2nb6c-hyper-3.0.2/bin

cc @puffnfresh for testing.

Semi-automatic update generated by
https://github.com/ryantm/nixpkgs-update tools. This update was made
based on information from
https://repology.org/metapackage/hyper/versions
Copy link
Contributor

@c0bw3b c0bw3b left a comment

Switched to Gtk3

$ ./results/hyper/opt/Hyper/hyper --version
./results/hyper/opt/Hyper/hyper: error while loading shared libraries: libgtk-3.so.0: cannot open shared object file: No such file or directory

@angristan
Copy link
Member

@angristan angristan commented May 14, 2019

This builds for me:

diff --git a/pkgs/applications/misc/hyper/default.nix b/pkgs/applications/misc/hyper/default.nix
index 2fd7e2f94af..93dcfb50aa1 100644
--- a/pkgs/applications/misc/hyper/default.nix
+++ b/pkgs/applications/misc/hyper/default.nix
@@ -1,23 +1,24 @@
-{ stdenv, lib, fetchurl, dpkg, atk, glib, pango, gdk_pixbuf, gnome2, gtk2, cairo
+{ stdenv, lib, fetchurl, dpkg, atk, glib, pango, gdk_pixbuf, gtk3, cairo
 , freetype, fontconfig, dbus, libXi, libXcursor, libXdamage, libXrandr
 , libXcomposite, libXext, libXfixes, libXrender, libX11, libXtst, libXScrnSaver
-, libxcb, nss, nspr, alsaLib, cups, expat, udev, libpulseaudio }:
+, libxcb, nss, nspr, alsaLib, cups, expat, udev, libpulseaudio, at_spi2_atk }:
 
 let
   libPath = stdenv.lib.makeLibraryPath [
-    stdenv.cc.cc gtk2 gnome2.GConf atk glib pango gdk_pixbuf cairo freetype fontconfig dbus
+    stdenv.cc.cc gtk3 atk glib pango gdk_pixbuf cairo freetype fontconfig dbus
     libXi libXcursor libXdamage libXrandr libXcomposite libXext libXfixes libxcb
-    libXrender libX11 libXtst libXScrnSaver nss nspr alsaLib cups expat udev libpulseaudio
+    libXrender libX11 libXtst libXScrnSaver nss nspr alsaLib cups expat udev
+    libpulseaudio at_spi2_atk
   ];
 in
 stdenv.mkDerivation rec {
-  version = "2.1.2";
+  version = "3.0.2";
   name = "hyper-${version}";
   src = fetchurl {
     url = "https://github.com/zeit/hyper/releases/download/${version}/hyper_${version}_amd64.deb";
-    sha256 = "1n4qlbk7q9zkhhg72mdks95g15xgyrc6ixf882ghvrqghd4zxplm";
+    sha256 = "0fv4wv5f8nc739bna83qxmgrvvbyq4w9ch764q2f12wjygrz336p";
   };
-  buildInputs = [ dpkg ];
+  nativeBuildInputs = [ dpkg ];
   unpackPhase = ''
     mkdir pkg
     dpkg-deb -x $src pkg

I replaced gtk2 with gtk3, removed GConf and added at_spi2_atk (libatk-bridge-2.0.so.0).

I'm stuck here now:

stanislas@nixpsla ~/nixpkgs> (update/hyper|✚1…) ./result/bin/hyper
A JavaScript error occurred in the main process
Uncaught Exception:
Error: `node-pty` failed to load. Typically this means that it was built incorrectly. Please check the `readme.md` to more info.
    at createNodePtyError (/nix/store/ryxzaf1299yzgz676q802x65caygirsg-hyper-3.0.2/opt/Hyper/resources/app.asar/session.js:11:3)
    at Object.<anonymous> (/nix/store/ryxzaf1299yzgz676q802x65caygirsg-hyper-3.0.2/opt/Hyper/resources/app.asar/session.js:19:9)
    at Object.<anonymous> (/nix/store/ryxzaf1299yzgz676q802x65caygirsg-hyper-3.0.2/opt/Hyper/resources/app.asar/session.js:191:3)
    at Module._compile (internal/modules/cjs/loader.js:711:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:722:10)
    at Module.load (internal/modules/cjs/loader.js:620:32)
    at tryModuleLoad (internal/modules/cjs/loader.js:559:12)
    at Function.Module._load (internal/modules/cjs/loader.js:551:3)
    at Function._load (/nix/store/ryxzaf1299yzgz676q802x65caygirsg-hyper-3.0.2/opt/Hyper/resources/app.asar/plugins.js:77:29)
    at Module.require (internal/modules/cjs/loader.js:658:17)

@ystreicher
Copy link

@ystreicher ystreicher commented Jul 12, 2019

Is there anything new to this? I just tried to update it also, but stuck at the same error as you.
I've seen that "node-pty" is also used by vscode for their terminal emulation... Any ideas how to solve this?

@jonringer
Copy link
Contributor

@jonringer jonringer commented Mar 31, 2020

closing since this is ancient, and the package has been updated

@jonringer jonringer closed this Mar 31, 2020
@r-ryantm r-ryantm deleted the auto-update/hyper branch Mar 31, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

6 participants